# eric5.Plugins.VcsPlugins.vcsMercurial.ConfigurationPage.MercurialPage

Module implementing the Mercurial configuration page.

### Global Attributes

None

### Classes

MercurialPage | Class implementing the Mercurial configuration page.

### Functions

None

## MercurialPage

Class implementing the Mercurial configuration page.

### Derived from

ConfigurationPageBase, Ui_MercurialPage

### Class Attributes

None

### Class Methods

None

### Methods

MercurialPage | Constructor
on_configButton_clicked | Private slot to edit the (per user) Mercurial configuration file.
save | Public slot to save the Mercurial configuration.

### Static Methods

None

#### MercurialPage (Constructor)

MercurialPage(plugin)

Constructor

plugin
  reference to the plugin object

#### MercurialPage.on_configButton_clicked

on_configButton_clicked()

Private slot to edit the (per user) Mercurial configuration file.

#### MercurialPage.save

save()

Public slot to save the Mercurial configuration.

Up